<?php
$cs = Yii::app()->getClientScript();

$cs->registerScript("downloadintial_backlog_format", "function downloadintial_backlog_format(){
       
        window.open($('#liveSite').val()+'index.php?r=initialbacklog/DownloadbacklogFormat');   
    
}", CClientScript::POS_HEAD);

?><?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'intial_backlog_upload-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <?php echo $form->hiddenField($model, 'id'); ?>
            <!--<li class="col-sm-4">
                 <?php// $model->uploaded_date = date('d/m/Y');?>
                <?php //echo $form->textField($model, 'uploaded_date', array('data-label' => 'Uploaded Date <span style="color:red">*</span>', 'empty'=>'-Select-')); ?>
            </li>-->
            <li class="col-sm-3">
                <?php echo $form->dropDownList($model, 'year',Order::getyear(), array('data-label' => 'Year <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            <li class="col-sm-3">
                <?php echo $form->dropDownList($model, 'month', Order::getmonths(), array('data-label' => 'Month <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            <li  class="col-sm-3">
            <button type="button"  class="btn btn-sm btn-theme" onclick="downloadintial_backlog_format();"><i class="fa fa-download"></i>CSV FORMAT</button>
            </li>
            <li  class="col-sm-4">
                <?php
                echo CHtml::label('Document', 'Document');
                $allowedExtensions = array("csv");
                $this->widget('ext.EAjaxUpload.EAjaxUpload', array('id' => rand(),
                    'config' => array('action' => Yii::app()->createUrl(Yii::app()->controller->id . '/UploadDocuments', array('folder' => 'upload/intialbacklog')),
                        'multiple' => false, 
                        'allowedExtensions' => $allowedExtensions,
                        'sizeLimit' => 1 * 1024 * 1024, 
                        'onStart' => "js:function(){}", 
                        'class' => 'pull-right', 
                        'onComplete' => "js:function(id, fileName, responseJSON){ 
                           // alert(fileName);
                        $('.icon_images').html('<input type=\"hidden\" value=\"'+responseJSON.filename+'\" name=\"UploadInitialBacklogShipment[file_name]\">');                                                                    "
                        . "}",)));
                ?>        
                <div class="icon_images">
                
                </div>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="intial_backlog_upload_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('initialbacklog/SavebacklogUpload');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
            $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Upload Saved Successfully!");
                    $("#intial_backlog_upload_close").click();
                    reloadTable("#tbl_back_log_details");
                } else { 
                    $("#intial_backlog_upload-form .intial_backlog_upload-save-btn").prop("disabled", false);                      
                    $("#intial_backlog_upload-form .intial_backlog_upload-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
        }',
        'beforeSend' => 'function(){ 
            $("#loader").show();
            $(".toast8-error").hide();
            $("#intial_backlog_upload-form .intial_backlog_upload-save-btn").prop("disabled", true);                      
            $("#intial_backlog_upload-form .intial_backlog_upload-save-btn").addClass("btn_loading").removeClass("btn-theme"); 

        }'
    ), array('id' => 'mybtn' . rand(), 'class' => 'intial_backlog_upload-save-btn btn btn-theme'));
    ?>
</div>
<?php $this->endWidget(); ?>